1

Closed

Seems to depend on pspx

description

When invoking Import-Module wmix I get
WARNUNG: The 'pspx' module was not found on this system. The 'wmix' module uses
the 'pspx' module to generate new WMI commands. No new WMI commands will be gene
rated unless the 'pspx' module is installed on this system. You can download the
latest version of 'pspx' from http://pspx.codeplex.com.
 
Please update the install instructions
Closed Jul 19, 2012 at 2:50 PM by poshoholic
This issue is now resolved. A note was added to the main page identifying that you must manually install items listed in the prerequisites section as well.

comments

poshoholic wrote Jul 19, 2012 at 2:43 PM

Yes, wmix is dependent on pspx. Right now the msi file only installs wmix. You can download pspx from the pspx.codeplex.com site and install that separately. Going forward my intent is to make sure any module msi installers include the required modules as well. Once you install pspx that warning will go away. Simply install pspx, reload the wmix module, and you'll be all set.

poshoholic wrote Jul 19, 2012 at 2:49 PM

Also I should mention that I added a note to the installation instructions on the main page identifying that you must install prerequisites as well.

wrote Jul 19, 2012 at 2:50 PM

wrote Feb 13, 2013 at 6:33 PM

wrote May 15, 2013 at 1:05 AM